# PTimerList::RequestType Class Reference

`#include <pprocess.h>`

List of all members.

## Public Types

| Stop
| Start
enum | Action { Stop, Start }

## Public Member Functions

| RequestType (Action act, PTimer *t)

## Public Attributes

enum PTimerList::RequestType::Action | m_action
PTimer * | m_timer
PTimer::IDType | m_id
PInt64 | m_absoluteTime
PAtomicInteger::IntegerType | m_serialNumber
PSyncPoint * | m_sync

## Member Enumeration Documentation

enum PTimerList::RequestType::Action

Enumerator:

  Stop |
  Start |

## Constructor & Destructor Documentation

PTimerList::RequestType::RequestType | ( | Action | act,
|  | PTimer * | t |
| ) |  |  | `[inline]`

## Member Data Documentation

PInt64 PTimerList::RequestType::m_absoluteTime

enum PTimerList::RequestType::Action PTimerList::RequestType::m_action

PTimer::IDType PTimerList::RequestType::m_id

PAtomicInteger::IntegerType PTimerList::RequestType::m_serialNumber

PSyncPoint* PTimerList::RequestType::m_sync

PTimer* PTimerList::RequestType::m_timer

The documentation for this class was generated from the following file:

- pprocess.h